(* ****************************************************************************
 *                         Fumio Kawamata's J2j
 *                         A Thumbnail Generator
 *                  Copyright (C) 1998-2004 Fumio Kawamata
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License in the directory "manual" for more details.
 ******************************************************************************
 *)

(* ****************************************************************************
 *
 * ****************************************************************************
 *)
program J2j;

uses
  Forms,
  main in 'main.pas' {formMain},
  imgtrans in 'imgtrans.pas',
  splash in 'splash.pas' {formSplash},
  VerInfo in 'verinfo.pas',
  regutl in 'regutl.pas',
  global in 'global.pas',
  ignore in 'ignore.pas' {formIgnoreSizeSetting},
  logview in 'logview.pas' {formLogViewer},
  html in 'html.pas' {formHTML};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Fumio Kawamata''s J2j';
  Application.CreateForm(TformMain, formMain);
  Application.CreateForm(TformIgnoreSizeSetting, formIgnoreSizeSetting);
  Application.CreateForm(TformLogViewer, formLogViewer);
  Application.CreateForm(TformHTML, formHTML);
  Application.CreateForm(TformSplash, formSplash);
  Application.Run;
end.
